Bug 28728 - Holds ratio page links to itself pointlessly
Summary: Holds ratio page links to itself pointlessly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-21 11:45 UTC by Andrew Fuerste-Henry
Modified: 2021-09-07 22:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28728: Link to holds page from holds raio (2.50 KB, patch)
2021-07-21 12:39 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28728: Link to holds page from holds raio (2.56 KB, patch)
2021-07-23 10:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28728: Link to holds page from holds raio (2.61 KB, patch)
2021-07-23 12:07 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-07-21 11:45:50 UTC
To recreate:
- Find a bib with 1 item, place 3 bib-level holds on it (just to make sure there's at least one title on your holds ratio page)
- Go to the holds ratio page in circulation
- mouse over the Holds Ratio column, see that the number there is a link to http://[your koha]/cgi-bin/koha/circ/reserveratios.pl#, the page you're already on


This link as it exists now seems completely pointless. I propose we make it point to the holds tab for the bib in question instead (/cgi-bin/koha/reserve/request.pl?biblionumber=).
Comment 1 Andrew Fuerste-Henry 2021-07-21 12:39:06 UTC
Created attachment 123011 [details] [review]
Bug 28728: Link to holds page from holds raio

To test:
1 - Find a bib with 1 item, place 3 bib-level holds on it (just to make sure there's at least one title on your holds ratio page)
2 - Go to the holds ratio page in circulation
3 - mouse over the Holds Ratio column, see that the number there is a link to http://[your koha]/cgi-bin/koha/circ/reserveratios.pl#, the page you're already on
4 - apply patch, restart_all, reload page
5 - link now goes to the holds page for that title
Comment 2 Andrew Fuerste-Henry 2021-07-21 12:41:18 UTC
Turns out that link was doing something -- clicking it changed the ratio value for your search to the ratio for the title in question. I really don't see the utility in that, so I removed it and replaced it with a link to the title's holds page. Please let me know if the old behavior needs to be retained, but I suspect it does not.
Comment 3 Owen Leonard 2021-07-23 10:54:52 UTC
Created attachment 123096 [details] [review]
Bug 28728: Link to holds page from holds raio

To test:
1 - Find a bib with 1 item, place 3 bib-level holds on it (just to make
    sure there's at least one title on your holds ratio page)
2 - Go to the holds ratio page in circulation
3 - mouse over the Holds Ratio column, see that the number there is a
    link to http://[your koha]/cgi-bin/koha/circ/reserveratios.pl#, the
    page you're already on
4 - apply patch, restart_all, reload page
5 - link now goes to the holds page for that title

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Nick Clemens 2021-07-23 12:07:13 UTC
Created attachment 123103 [details] [review]
Bug 28728: Link to holds page from holds raio

To test:
1 - Find a bib with 1 item, place 3 bib-level holds on it (just to make
    sure there's at least one title on your holds ratio page)
2 - Go to the holds ratio page in circulation
3 - mouse over the Holds Ratio column, see that the number there is a
    link to http://[your koha]/cgi-bin/koha/circ/reserveratios.pl#, the
    page you're already on
4 - apply patch, restart_all, reload page
5 - link now goes to the holds page for that title

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-07-26 09:17:38 UTC
(In reply to Andrew Fuerste-Henry from comment #2)
> Turns out that link was doing something -- clicking it changed the ratio
> value for your search to the ratio for the title in question. I really don't
> see the utility in that, so I removed it and replaced it with a link to the
> title's holds page. Please let me know if the old behavior needs to be
> retained, but I suspect it does not.

How do we know it's actually not used? Did you ask around you?
Comment 6 Andrew Fuerste-Henry 2021-07-26 11:37:24 UTC
(In reply to Jonathan Druart from comment #5)
> How do we know it's actually not used? Did you ask around you?

I haven't asked around beyond showing this bug to a few people, but I've found no documentation or discussion of the behavior and, frankly, it doesn't really *do* much. I'd hate for this to stall out due to the difficulty of demonstrating that the current link isn't used.
Comment 7 Owen Leonard 2021-07-26 11:48:01 UTC
I think the updated behavior is much more user-friendly, not to mention actually useful. I think it's more relevant to the use of the report to be able to click directly to the holds list than it is to click to type a number.
Comment 8 Jonathan Druart 2021-07-30 14:02:46 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Andrew Fuerste-Henry 2021-08-03 11:58:48 UTC
(In reply to Jonathan Druart from comment #8)
> Pushed to master for 21.11, thanks to everybody involved!

Thanks!
Comment 10 Fridolin Somers 2021-08-11 19:35:25 UTC
I see it has been pushed to 21.05.x for 21.05.03
Comment 11 Fridolin Somers 2021-08-11 19:43:59 UTC
Pushed to 20.11.x for 20.11.09
Comment 12 Victor Grousset/tuxayo 2021-08-16 20:26:40 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.
Comment 13 Galen Charlton 2021-09-07 22:42:05 UTC
For what it's worth, the bit about clicking the ratio to populate the form field dates back to 2009 in commit de38cf6df from bug 3130. However, _why_ this was done is currently lost to the mists of time.